Subject: bug#21827: Large file support

From: Paul Eggert <[email-masked]>
Date: Thu, 5 Nov 2015 23:14:16 -0800

Michael Brunnbauer wrote:
> I upgraded to glibc-2.22 on Oct 6 and had no problems with other tools and
> big files so far (at least tar, gzip and cp do not seem to be affected).

That's odd, since I know recent versions of tar use openat and so should have 
problems with files greater than 2 GiB.  cp also uses openat for directories, 
though most likely none of your directories are that large.  Perhaps you can 
investigate why tar works for you despite the glibc bug, if you're at all 
curious about this sort of thing.  Maybe your tar is compiled with -m64?  That 
would explain things.

At any rate, though, the problem is clearly in glibc, not in grep.